# JacoBot

JacoBot is a project inspired by Cubetto project.
JacoBot is both virtual and real robot.
The project is composed of:
* Jacopad is a physical pad to program the robot
* Jacobot is the real robot
* Jacovirt contains the virtual pad and robot

# License

The JacoBot project is under [BSD-2 Clause ](https://opensource.org/license/bsd-2-clause) license.

# Contributing

Contributing to the code:
* create tickets
* fork the repository
* create a branch from a ticket
  * branch name contains the number of the ticket and the label using **underscore** instead of space character
  * example:
    * ticket: 
`
37: Create motor encoder Fritzing component.
`

    * branch name:
`
37_create_motor_encoder_fritzing_component
`

* push PR

Code:
* [Style Guide for Python Code](https://peps.python.org/pep-0008/)
* add unit tests:
  * TDD: [Pytest](https://docs.pytest.org/)
  * BDD: [Pytest-bdd](https://pypi.org/project/pytest-bdd/)
